Magento Teknoloji Gereksinimleri

İşletim sistemleri
RedHat Enterprise Linux, Ubuntu, CentOS, Debian ve benzeri platformlar gibi Linux dağıtımı Magento 2 versiyonunun kurulumu kolaydır. Magento, Windows OS ve Mac OS’de desteklenmemektedir.
Memory Gereksinimi
Magento 2.2 ile aynı, en son sürüm Magento uygulamalarını ve uzantılarını yükseltmek ve çalıştırmak için 2 GB RAM gerektiriyordu. 2GB’tan daha az RAM’e sahip bir sistem kullanıyorsanız, güncelleme işleminde başarısızlıktan kaçınmak için bir swap dosyası oluşturmanız önerilir.
Composer
Magento 2 ile çalışmak için Composer’ın en son sürümüne ihtiyacınız var.
Web Servers
– Apache 2.2 or 2.4 – Nginx 1.x
Database
Magento 2, MySQL 5.6 ve 5.7 ile uyumludur. Magento ile uyumlu diğer veritabanları: MySQL NDB Cluster 7.4. *, MariaDB 10.0, 10.1, 10.2, Percona 5.7 ve diğer ikili uyumlu MySQL teknolojileri. Magento, yalnızca MariaDB ile uyumlu MySQL özelliklerini kullanır.
PHP Version
Desteklenen PHP sürümleri – 7.1.3 – 7.2.0 – 7.3.0 Magento 2.3.1 sertifikalı ve PHP 7.2.11’de test edilmiştir.
Gerekli PHP Extensions
– ext-bcmath – ext-ctype – ext-curl – ext-dom – ext-gd – ext-hash – ext-iconv – ext-intl – ext-mbstring – ext-openssl – ext-pdo_mysql – ext-simplexml – ext-soap – ext-spl – ext-xsl – ext-zip – lib-libxml
PHP OPcache
Performans nedeniyle, PHP OPcache’in etkin olduğunu doğrulamanız önemle tavsiye edilir.
PHP Settings
Magento 2 kullanırken sık karşılaşılan sorunları önlemek için memory_limit gibi önemli PHP ayarlarını yapılandırmanız önerilir.
SSL Sertifikası
– HTTPS için geçerli bir güvenlik sertifikası gereklidir. – Transport Layer Security (TLS) gereksinimi. – Kendinden imzalı SSL sertifikaları desteklenmez. – PayPal ve repo.magento.com’un ikisi de TLS 1.1 veya üstü gerektirir.
Gerekli Sistem Bağımlılıkları
Magento, bazı operasyonları için aşağıdaki sistem araçlarını gerektirir – bash – gzip – lsof – mysql – mysqldump – nice – php – sed – tar
Mail server
Mail Transfer Agent (MTA) veya bir SMTP server
Related Posts
Leave a Reply